package com.atlassian.stash.internal.concurrent;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Indicates an error when using locks.
 *
 * @since 3.8
 */
public class LockException extends ServiceException {

    public LockException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public LockException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}